Scorer starters
List scorer starters
List scorer starters
curl --request GET \
--url https://api.atlan.com/eval/v1/scorer-starters \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.atlan.com/eval/v1/scorer-starters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/eval/v1/scorer-starters"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"backend": "classifier",
"key": "<string>",
"model": "<string>",
"question": "<string>",
"scorer_kind": "llm_judge",
"title": "<string>",
"choices": [
{
"name": "<string>",
"criteria": "<string>",
"score": 123
}
],
"messages": [
{
"content": "<string>",
"role": "system"
}
],
"output_type": "classification",
"questions": {},
"state": {}
}
]
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}⌘I
List scorer starters
curl --request GET \
--url https://api.atlan.com/eval/v1/scorer-starters \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.atlan.com/eval/v1/scorer-starters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/eval/v1/scorer-starters"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"backend": "classifier",
"key": "<string>",
"model": "<string>",
"question": "<string>",
"scorer_kind": "llm_judge",
"title": "<string>",
"choices": [
{
"name": "<string>",
"criteria": "<string>",
"score": 123
}
],
"messages": [
{
"content": "<string>",
"role": "system"
}
],
"output_type": "classification",
"questions": {},
"state": {}
}
]
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}